> For the complete documentation index, see [llms.txt](https://docs.enzoic.com/enzoic-api-developer-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.enzoic.com/enzoic-api-developer-documentation/api-reference/credentials-api/cleartext-credentials-api.md).

# Cleartext Credentials API

The Cleartext Credentials API allows you to lookup all the compromised passwords Enzoic has for a given user. The passwords are returned in cleartext, if available, or in the raw hash format that was recovered if not (e.g. MD5, SHA1, BCrypt, etc.). This API is extremely sensitive and restricted to organizations that pass extensive vetting. Please [contact sales](https://www.enzoic.com/contact-us) if you believe you have an appropriate use case for this API.

{% content-ref url="/pages/4vOA0leLH9Cn19gX9Enq" %}
[Query Passwords for an Email Address](/enzoic-api-developer-documentation/api-reference/credentials-api/cleartext-credentials-api/query-passwords-for-an-email-address.md)
{% endcontent-ref %}

{% content-ref url="/pages/OqP5FQmOYOdmEJ7YcvhY" %}
[Query Passwords for a Domain](/enzoic-api-developer-documentation/api-reference/credentials-api/cleartext-credentials-api/query-passwords-for-a-domain.md)
{% endcontent-ref %}

{% content-ref url="/pages/3nnk1JwKt342GB6i6t8G" %}
[Query Passwords for a Partial Hash of an Email Address](/enzoic-api-developer-documentation/api-reference/credentials-api/cleartext-credentials-api/query-passwords-for-a-partial-hash-of-an-email-address.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.enzoic.com/enzoic-api-developer-documentation/api-reference/credentials-api/cleartext-credentials-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
